﻿@{
    ViewBag.Title = "Expert";
    Layout = "~/Views/Shared/_Layout_Search.cshtml";
}
@section headerStyle{
    <script type="text/javascript">


        var expertType = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.expertType))';
        var Province = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.Province))';
        var level = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.level))';
        var ReviewItem = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.ReviewItem))';
        var users = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.users))';
        var YearJiou = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.YearJiou))';
        var Createtime = '@Html.Raw(ViewBag.Createtime)';
         var Createtimebe = '@Html.Raw(ViewBag.Createtimebe)';

        loseherght = 60;
        gridConfig = { multiselect: true, selectcol: "Id" };
        dataCol = [
            { label: 'id', name: 'Id', labtype: 'txt', hidden: true },
            { label: '区域', name: 'AreaName', labtype: 'txt', hidden: false },
            {
                label: '姓名', name: 'Name', labtype: 'txt', hidden: false
            },
            { label: '专家证号', name: 'CertiNumber', labtype: 'txt', hidden: false },
            { label: '联系电话', name: 'Phone1', labtype: 'txt', hidden: false },
            { label: '录入人', name: 'CreaterName', labtype: 'txt', hidden: false },
            { label: '考试时间', name: 'YearJiouName', labtype: 'txt', hidden: false },
            {
                label: '操作', name: 'caozuo', labtype: 'txt', hidden: false, width: 50,
                formatter: function (cellvalue, options, rowObject) {
                    return "<a onclick=\"OpenWindow('修改','98%','100%', '/Expert/Edit?id=" + rowObject.Id + "')\"  >修改</a>&nbsp;&nbsp;&nbsp;<a onclick=\"_pagedel('" + rowObject.Id + "')\"  >删除</a>";
                }
            },

          //  { label: '操作', name: '', labtype: 'txt', hidden: false },

            { label: '状态', name: 'RecStatus', labtype: 'txt', hidden: true },
            { label: '创建人', name: 'Creater', labtype: 'txt', hidden: true },
            { label: '创建时间', name: 'Createtime', labtype: 'txt', hidden: true },
            { label: '修改人', name: 'Modifier', labtype: 'txt', hidden: true },
            { label: '修改时间', name: 'Modifytime', labtype: 'txt', hidden: true }

        ];
        dataUrl = "/Expert/GetList?Province=510000&City=510100&Createtime=" + Createtimebe + "|" + Createtime;
        searchCol = [
            { label: '省', name: 'Province', labtype: 'combox', hidden: false, data: JSON.parse(Province), cwidth: '5%', cccwidth: '6.5%' },
            { label: '市', name: 'City', labtype: 'combox', hidden: false, data: JSON.parse('[]'), cwidth: '1%', cccwidth: '7%' },
            { label: '专家姓名', name: 'Name', labtype: 'txt', hidden: false },
            { label: '专家证号', name: 'CertiNumber', labtype: 'txt', hidden: false },
            { label: '联系电话', name: 'Phone1', labtype: 'txt', hidden: false },
            { label: '录入时间', name: 'Createtime', labtype: 'datearea', hidden: false },
            { label: '录入人', name: 'Creater', labtype: 'combox', hidden: false, data: JSON.parse(users) },
            { label: '评审品目', name: 'ReviewItem', labtype: 'combox', hidden: false, data: JSON.parse(ReviewItem) },
            { label: '考试时间', name: 'YearJiou', labtype: 'combox', hidden: false, data: JSON.parse(YearJiou) },





        ];


        var _pageSearch = function () {
            $("#jqGrid").jqGrid('setGridParam', {
                url: '/Expert/GetList', postData: jsons, page: 1
            }); //重新载入
            var jsons = GetSearchEnd();
            if (jsons == false) {
                msg.info("请录入查询条件");
                return false;
            }
            LoadGrid(jsons);
        }

        var _pagedel = function (id) {
            if (confirm('是否删除记录')) {
                $.ajax({
                    type: "GET",
                    url: "/Expert/Nullify?Id=" + id,
                    dataType: "json",
                    global: false,
                    data: '',
                    success: function (data) {


                        if (data.Result) {

                            layer.msg('删除成功', { icon: 6 });
                            window._reloadPageData();
                        }
                        else {
                            // toastr.error("");
                            layer.msg('删除失败', { icon: 5 });
                        }

                    },
                    error: function () {
                        if ($.isNumber(imgLoad)) {
                            layer.close(imgLoad);
                        }
                        //toastr.error("保存失败");

                        layer.msg('保存失败', { icon: 5 });
                    }
                });
            }


        }


        var _pageDuanxin = function () {
            var duanxin = GetGridSelect();
            var baifangid = "";
            if (duanxin != '') {
                for (var i = 0; i < duanxin.length; i++) {
                    baifangid += duanxin[i] + ','
                }
                baifangid = baifangid.substring(0, baifangid.length - 1);
            } else {
                toastr.error("请选择专家");
                return;
            }

            OpenWindow("群发短信", "50%", "50%", "/Expert/Duanxin?id=" + baifangid);

        }


        var _afterSave = function (result) {
            if (result) {
                toastr.success("保存成功");
            } else {
                toastr.error("保存失败");
            }
        }

        var _afterDel = function (result) {
            if (result) {
                toastr.success("删除成功");
            } else {
                /**/
                toastr.error("删除成功");
                /**/
            }
        }


        $(function () {
            $("#PBSProvince").change(function () {
                let Province = $("#PBSProvince").val();
                $.ajax({
                    type: "GET",
                    url: "/Project/getCity?shengid=" + Province,
                    dataType: "json",
                    global: false,
                    data: "",
                    success: function (data) {

                        var city = $("#PBSCity");
                        city.find('option').remove();
                        var aaa = '<option value="" hassubinfo="true">请选择</option>';
                        city.append(aaa);
                        if (data.length > 0) {
                            for (var i = 0; i < data.length; i++) {

                                var o = '<option value="' + data[i].CodeId + '" hassubinfo="true">' + data[i].Name + '</option>';
                                city.append(o);
                            }
                        }
                        $("#PBSCity").trigger('chosen:updated');//更新选项
                    },
                    error: function () { }
                });
            });


        });


        $(function () {
            $("#PBSCertiNumber").parent().next().remove();
            $("#PBSPhone1").parent().after("<br>");
            $("#PBSReviewItem").parent().next().remove();


            $("#PBSProvince").val("510000");
            $("#PBSProvince").trigger('chosen:updated');//更新选项

            $.ajax({
                type: "GET",
                url: "/Project/getCity?shengid=510000",
                dataType: "json",
                global: false,
                data: "",
                success: function (data) {

                    var city = $("#PBSCity");
                    city.find('option').remove();
                    var aaa = '<option value="" hassubinfo="true">请选择</option>';
                    city.append(aaa);
                    if (data.length > 0) {
                        for (var i = 0; i < data.length; i++) {

                            var o = '<option value="' + data[i].CodeId + '" hassubinfo="true">' + data[i].Name + '</option>';
                            city.append(o);
                        }
                        $("#PBSCity").val("510100");
                    }
                    $("#PBSCity").trigger('chosen:updated');//更新选项
                },
                error: function () { }
            });


            $("#PBSCreatetimeend").val(Createtime);

            $("#PBSCreatetimestart").val(Createtimebe);




        });
    </script>
}

